FFI Parser Exceptions

- « FFI\Exception

- OPcache »

- PHP Manual
- FFI
- FFI Parser Exceptions

# FFI Parser Exceptions

(PHP 7 >= 7.4.0, PHP 8)

## Introduction

## Class synopsis

final class FFI\ParserException extends FFI\Exception {
/* Inherited properties */
protected string $message = "";
private string $string = "";
protected int $code;
protected string $file = "";
protected int $line;
private array $trace = [];
private ?Throwable $previous = null;
/* Inherited methods */
public Error::__construct(string `$message` = "", int `$code` = 0, ?Throwable `$previous` = `null`)
final public Error::getMessage(): string
final public Error::getPrevious(): ?Throwable
final public Error::getCode(): int
final public Error::getFile(): string
final public Error::getLine(): int
final public Error::getTrace(): array
final public Error::getTraceAsString(): string
public Error::__toString(): string
private Error::__clone(): void
}